Page MenuHomePhabricator

Requesting access to deployment for niedzielski
Closed, ResolvedPublicRequest

Description

Requestor provided information and prerequisites

This section is to be completed by the individual requesting access.

  • Wikitech username: niedzielski
  • Preferred shell username: niedzielski
  • Email address: sniedzielski@wikimedia.org
  • Ssh public key (must be dedicated key for wmf production): (Already present in modules/admin/data/data.yaml): ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDSPpX+9BTlBEOWYtHmbPKI6+AIda37IZLfnRV79UTyRBBWY4qxJZX/c4PZqVJ0hJteKHbQhaYAfz/6Socc9cZl5dE7ujimot4B9mw0VjTAKoCLVm4RydYZc2DXBMGQFN49bAyaQGur1g5qvDbabgRosYPbh1DkDCNKz8dc2n624B7RNb173UYU/Sm8itp1vQBrUyKodaNdaYukjQkuvQdS246MyURV9XQXBHHfjDZjUt6YS4sT3zXfrSGaOWtOJbljDr/A6SzS9IDVOri/+KS8RRpEbphqSotQSHzxoOCrak+VsCGYNLxkMvOOrm62XTelVR9KyXGk7OPTfV2fs4GB5gFjXzZC4za7AC9RjqzsWf1FryZYPZW7QPM9szYPx56Bj2OxD9PNnKswbCpok3wIe1xOroOYrYtYBmJME27CulYS4gUor6ZhM2BB09Mej0UMxQ5GG5YMQSatrKaZj5hv1uQBQZT0o1CRcyxR35TzFwKN3pLj/tfIDg9TBP7czfJwx76Mm9d6IdnqT+QwMgNZqaAHOoqPlC5ZtMgJva37QBMF86xda2RwmaNroulfCfb+tLybLPiPWqc8soIGEv4P4RRneI8rt7i7EZ25C6BF0NSByT1K5q9cEXYrjzBYbBhg9yyY8CgJNQOd5UGyMsQdB0Ni32c1cM6wXuvtBphwyQ== stephen@niedzielski.com
  • Requested group membership: deployment
  • Reason for access: To become a SWAT deployer (https://wikitech.wikimedia.org/wiki/How_to_deploy_code#Deployment_requirements)
  • Name of approving party (hiring manager for WMF staff): @MarkTraceur, please approve!
  • Requestor -- Please Acknowledge that you have read and signed the L3 Wikimedia Server Access Responsibilities document: acknowledged.
  • Requestor -- Please coordinate obtaining a comment of approval on this task from the approving party.

SRE Clinic Duty Confirmation Checklist for Access Requests

This checklist should be used on all access requests to ensure that all steps are covered, including expansion to existing access. Please double check the step has been completed before checking it off.

This section is to be confirmed and completed by a member of the SRE team or submitter.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform)
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task
  • - Patchset for access request

For additional details regarding access request requirements, please see https://wikitech.wikimedia.org/wiki/Requesting_shell_access

Example patch: b6c20317d90

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptJan 29 2020, 9:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jijiki triaged this task as Medium priority.Jan 30 2020, 12:17 PM
jijiki added a subscriber: jijiki.Feb 3 2020, 2:00 PM

@Niedzielski please check the boxes of the actions which are already done, so we know where are stand, @MarkTraceur please approve this request. Thank you!

Niedzielski updated the task description. (Show Details)Feb 3 2020, 2:05 PM

Approved as manager!

MarkTraceur updated the task description. (Show Details)Feb 5 2020, 3:51 PM

@greg or @thcipriani, please approve, sorry for not pinging earlier :(

@greg or @thcipriani, please approve, sorry for not pinging earlier :(

Approved.

Yay more SWAT deployers!

Change 571309 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] admin: add niedzielski to deployment group

https://gerrit.wikimedia.org/r/571309

Change 571309 merged by Effie Mouzeli:
[operations/puppet@production] admin: add niedzielski to deployment group

https://gerrit.wikimedia.org/r/571309

jijiki closed this task as Resolved.Feb 10 2020, 3:57 PM
jijiki claimed this task.

done